// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// IBotHandler is an autogenerated mock type for the IBotHandler type
type IBotHandler struct {
	mock.Mock
}

// Delete provides a mock function with given fields: message
func (_m *IBotHandler) Delete(message models.CommonMessage) {
	_m.Called(message)
}

// Edit provides a mock function with given fields: messageId, content
func (_m *IBotHandler) Edit(messageId string, content string) interface{} {
	ret := _m.Called(messageId, content)

	var r0 interface{}
	if rf, ok := ret.Get(0).(func(string, string) interface{}); ok {
		r0 = rf(messageId, content)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(interface{})
		}
	}

	return r0
}

// GetBot provides a mock function with given fields:
func (_m *IBotHandler) GetBot() *models.Bot {
	ret := _m.Called()

	var r0 *models.Bot
	if rf, ok := ret.Get(0).(func() *models.Bot); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Bot)
		}
	}

	return r0
}

// GetSlug provides a mock function with given fields:
func (_m *IBotHandler) GetSlug() string {
	ret := _m.Called()

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// RemoveKeyboard provides a mock function with given fields: sender, text, extra
func (_m *IBotHandler) RemoveKeyboard(sender string, text string, extra map[string]string) {
	_m.Called(sender, text, extra)
}

// Send provides a mock function with given fields: sender, content, extra
func (_m *IBotHandler) Send(sender string, content string, extra map[string]string) interface{} {
	ret := _m.Called(sender, content, extra)

	var r0 interface{}
	if rf, ok := ret.Get(0).(func(string, string, map[string]string) interface{}); ok {
		r0 = rf(sender, content, extra)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(interface{})
		}
	}

	return r0
}

// SendAction provides a mock function with given fields: sender, action
func (_m *IBotHandler) SendAction(sender string, action string) {
	_m.Called(sender, action)
}

// SendError provides a mock function with given fields: sender, content
func (_m *IBotHandler) SendError(sender string, content string) {
	_m.Called(sender, content)
}

// ShowKeyboard provides a mock function with given fields: data
func (_m *IBotHandler) ShowKeyboard(data models.KeyboardInfo) {
	_m.Called(data)
}

// Start provides a mock function with given fields: done
func (_m *IBotHandler) Start(done chan bool) {
	_m.Called(done)
}

// Stop provides a mock function with given fields:
func (_m *IBotHandler) Stop() {
	_m.Called()
}
